wxWidgets: wxGBSpan Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGBSpan Class Reference
Class List by Category » Window Layout

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/gbsizer.h>`

## Detailed Description

This class is used to hold the row and column spanning attributes of items in a wxGridBagSizer.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxGBSpan ()
| Default constructor, setting the rowspan and colspan to (1,1) meaning that the item occupies one cell in each direction.
| wxGBSpan (int rowspan, int colspan)
| Construct a new wxGBSpan, setting the rowspan and colspan.
int | GetColspan () const
| Get the current colspan value.
int | GetRowspan () const
| Get the current rowspan value.
void | SetColspan (int colspan)
| Set a new colspan value.
void | SetRowspan (int rowspan)
| Set a new rowspan value.
bool | operator!= (const wxGBSpan &o) const
| Compare inequality of two wxGBSpans.
bool | operator== (const wxGBSpan &o) const
| Compare equality of two wxGBSpans.

## Constructor & Destructor Documentation

## ◆ wxGBSpan() [1/2]

wxGBSpan::wxGBSpan | ( |  | ) |

Default constructor, setting the rowspan and colspan to (1,1) meaning that the item occupies one cell in each direction.

## ◆ wxGBSpan() [2/2]

wxGBSpan::wxGBSpan | ( | int | rowspan,
|  | int | colspan )

Construct a new wxGBSpan, setting the rowspan and colspan.

## Member Function Documentation

## ◆ GetColspan()

int wxGBSpan::GetColspan | ( |  | ) | const

Get the current colspan value.

## ◆ GetRowspan()

int wxGBSpan::GetRowspan | ( |  | ) | const

Get the current rowspan value.

## ◆ operator!=()

bool wxGBSpan::operator!= | ( | const wxGBSpan & | o | ) | const

Compare inequality of two wxGBSpans.

## ◆ operator==()

bool wxGBSpan::operator== | ( | const wxGBSpan & | o | ) | const

Compare equality of two wxGBSpans.

## ◆ SetColspan()

void wxGBSpan::SetColspan | ( | int | colspan | ) |

Set a new colspan value.

## ◆ SetRowspan()

void wxGBSpan::SetRowspan | ( | int | rowspan | ) |

Set a new rowspan value.